using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 机票黑屏代码
    /// </summary>
    [SugarTable("Air_TicketBlackCode")]
    public class Air_TicketBlackCode:EntityBase
    {
        /// <summary>
        ///  团组Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }
        /// <summary>
        ///   黑屏代码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(800)")]
        public string LeaveCode { get; set; }
        /// <summary>
        ///   黑屏代码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(800)")]
        public string BlackCode { get; set; }
        /// <summary>
        ///   黑屏代码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(800)")]
        public string ReturnCode { get; set; }
        /// <summary>
        ///  报价
        /// <summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string Price { get; set; }
        /// <summary>
        ///  最新报价
        /// <summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string NowPrice { get; set; }
        /// <summary>
        /// 公务舱单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal BCPrice { get; set; }
        /// <summary>
        ///经济舱单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal ECPrice { get; set; }
    }
}
